<div *ngIf="doiOIfNewerVersion | isNotNullNorUndefinedNorWhiteString"
     class="newer-version-message"
>
  {{labelTranslateEnum.thereIsA | translate}} <a [href]="doiLink + doiOIfNewerVersion"
                                                 target="_blank"
>{{labelTranslateEnum.newerVersion | translate}}</a> {{labelTranslateEnum.ofTheArchiveAvailable | translate}}
</div>

<solidify-detail-presentation [centerTemplate]="centerTemplate"
                              [leftTemplate]="leftTemplate"
                              [rightTemplate]="rightTemplate"
                              class="shared-detail-presentation large-image"
></solidify-detail-presentation>

<ng-template #leftTemplate>

  <solidify-image-display [image]="imageArchive"
                          [mode]="imageDisplayModeEnum.MAIN"
                          class="image-wrapper"
  ></solidify-image-display>

</ng-template>

<ng-template #centerTemplate>
  <h1 class="title">{{archive.title}}</h1>
  <h2 [innerHTML]="computeLink(archive.description)"
      class="description"
  ></h2>

  <ul class="base-info-list">
    <ng-container *ngFor="let info of listInfo; trackBy: trackByFn">
      <ng-container [ngSwitch]="info.type">
        <ng-container *ngSwitchCase="typeInfoEnum.ark">
          <dl *ngIf="(info.value | isNotNullNorUndefinedNorWhiteString) && (defaultIdentifierType === depositIdentifierTypeEnum.ARK)"
              class="ark-line"
          >
            <dt class="label"
                solidifyTooltipOnEllipsis
            >{{info.labelToTranslate | translate}}
            </dt>
            <dd class="value"
                [matMenuTriggerFor]="arkMenu.menu"
                [matTooltip]="labelTranslateEnum.clickHereForMoreOptions | translate"
                [matTooltipPosition]="'right'"
                solidifyTooltipOnEllipsis
            >
              <solidify-icon [iconName]="iconNameEnum.ark"
                             class="size-20"
              >
              </solidify-icon>
              <span class="ark-value"
                    solidifyTooltipOnEllipsis
              >{{info.value}}</span>
              <solidify-ark-menu-container #arkMenu="arkMenu"
                                           [ark]="info.value"
                                           class="ark-menu"
              ></solidify-ark-menu-container>
            </dd>
          </dl>
        </ng-container>

        <ng-container *ngSwitchCase="(info.type === typeInfoEnum.doi || info.type === typeInfoEnum.doiWithShortDoi) ? info.type : ''">
          <dl *ngIf="defaultIdentifierType === depositIdentifierTypeEnum.DOI"
              class="doi-line"
          >
            <dt class="label"
                solidifyTooltipOnEllipsis
            >{{info.labelToTranslate | translate}}
            </dt>
            <ng-template [ngIf]="info.values | isNonEmptyArray"
                         [ngIfElse]="singleDoi"
            >
              <ul class="list-doi">
                <li *ngFor="let doi of info.values"
                    [matMenuTriggerFor]="doiMenu.menu"
                    [matTooltip]="labelTranslateEnum.clickHereForMoreOptions | translate"
                    [matTooltipPosition]="'right'"
                    solidifyTooltipOnEllipsis
                    class="doi-line"
                >
                  <div class="value">
                    <solidify-icon [iconName]="iconNameEnum.doi"
                                   class="size-20 doi-logo"
                                   [class.not-available]="doiMenu.inErrorWhenRetrieveShortDoi"
                    >
                    </solidify-icon>
                    <span class="doi-value"
                          solidifyTooltipOnEllipsis
                    >{{doi}}</span>
                    <solidify-doi-menu-container #doiMenu="doiMenu"
                                                 [doi]="doi"
                                                 [retrieveShortDoi]="info.type === typeInfoEnum.doiWithShortDoi"
                                                 class="doi-menu"
                    ></solidify-doi-menu-container>
                  </div>
                </li>
              </ul>
            </ng-template>
            <ng-template #singleDoi>
              <dd class="value"
                  [matMenuTriggerFor]="doiMenu.menu"
                  [matTooltip]="labelTranslateEnum.clickForMoreOptions | translate"
                  [matTooltipPosition]="'right'"
                  solidifyTooltipOnEllipsis
              >
                <solidify-icon [iconName]="iconNameEnum.doi"
                               class="size-20 doi-logo"
                               [class.not-available]="doiMenu.inErrorWhenRetrieveShortDoi"
                >
                </solidify-icon>
                <span class="doi-value"
                      solidifyTooltipOnEllipsis
                >{{info.value}}</span>
                <solidify-doi-menu-container #doiMenu="doiMenu"
                                             [doi]="info.value"
                                             [retrieveShortDoi]="info.type === typeInfoEnum.doiWithShortDoi"
                                             class="doi-menu"
                ></solidify-doi-menu-container>
              </dd>
            </ng-template>
          </dl>
        </ng-container>


        <dl *ngSwitchCase="typeInfoEnum.orgUnit">
          <dt class="label"
              solidifyTooltipOnEllipsis
          >{{info.labelToTranslate | translate}}
          </dt>
          <dd class="value org-unit">
            <dlcm-shared-organizational-unit-name-container [id]="info.value"
                                                            [displayOverlay]="true"
            ></dlcm-shared-organizational-unit-name-container>
          </dd>
        </dl>

        <dl *ngSwitchDefault>
          <dt class="label"
              solidifyTooltipOnEllipsis
          >{{info.labelToTranslate | translate}}
          </dt>
          <dd class="value"
              solidifyTooltipOnEllipsis
          >
            <ng-template [ngIfElse]="noTranslate"
                         [ngIf]="info.type === typeInfoEnum.translate"
            >{{info.value | translate}}
            </ng-template>
            <ng-template #noTranslate>{{info.value}}</ng-template>
          </dd>
        </dl>
      </ng-container>
    </ng-container>

    <dl *ngIf="archive?.license | isNotNullNorUndefined">
      <dt class="label"
          solidifyTooltipOnEllipsis
      >{{labelTranslateEnum.license | translate}}
      </dt>
      <dd class="value">
        <dlcm-home-license-container *ngIf="archive.license | isNotNullNorUndefined"
                                     [archiveLicense]="archive.license"
        ></dlcm-home-license-container>
      </dd>
    </dl>

    <dl *ngIf="archive?.institutions | isNonEmptyArray">
      <dt class="label"
          solidifyTooltipOnEllipsis
      >{{labelTranslateEnum.institutions | translate}}
      </dt>
      <dd class="value">
        <ng-container *ngFor="let institution of archive.institutions">
          <dlcm-home-institution-container [archiveInstitution]="institution"
          ></dlcm-home-institution-container>
        </ng-container>
      </dd>
    </dl>

    <dl *ngIf="archive?.fundingAgencies | isNonEmptyArray">
      <dt class="label"
          solidifyTooltipOnEllipsis
      >{{labelTranslateEnum.fundingAgencies | translate}}
      </dt>
      <dd class="value">
        <ng-container *ngFor="let fundingAgency of archive.fundingAgencies">
          <dlcm-home-funding-agency-container [archiveFundingAgency]="fundingAgency"
          ></dlcm-home-funding-agency-container>
        </ng-container>
      </dd>
    </dl>

    <dl *ngIf="(archive?.keywords | isNonEmptyArray)">
      <dt class="label"
          solidifyTooltipOnEllipsis
      >{{labelTranslateEnum.keywords | translate}}
      </dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >
        {{archive.keywords.join(", ")}}
      </dd>
    </dl>
  </ul>

</ng-template>

<ng-template #rightTemplate>

  <div class="complementary-info">
    <div class="year">
      <solidify-icon [iconName]="iconNameEnum.creationDate"></solidify-icon>
      <span class="label">{{labelTranslateEnum.publicationDate | translate}}</span>
      <dlcm-shared-archive-publication-date [archive]="archive"></dlcm-shared-archive-publication-date>
    </div>
    <div class="expiration"
    >
      <solidify-icon [iconName]="iconNameEnum.retentionDate"></solidify-icon>
      <span class="label">{{labelTranslateEnum.retentionDate | translate}}</span>
      <span [matTooltip]="archive.retentionDuration"
            [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
            [class.forever]="archive.retentionDay === 0"
            class="date"
      >{{archive.retentionDay === 0 ? '∞' : archive.retentionDate}}</span>
    </div>
    <div class="access-level">
      <dlcm-shared-access-level [accessLevel]="archive.accessLevel"></dlcm-shared-access-level>
      <span class="label">{{labelTranslateEnum.accessLevel | translate}}</span>
      <span>{{archive.accessLevelToTranslate | translate}}</span>
    </div>
    <div class="data-sensitivity">
      <dlcm-shared-data-sensitivity [dataSensitivity]="archive.dataSensitivity"
                                    [withTooltip]="true"
      ></dlcm-shared-data-sensitivity>
      <span class="label">{{labelTranslateEnum.sensitivity | translate}}</span>
      <span [matTooltip]="getSensitivityTooltip(archive.dataSensitivity) | translate">{{archive.dataSensitivityToTranslate | translate}}</span>
    </div>
    <div class="dua">
      <dlcm-shared-data-use-policy [dataUsePolicy]="archive.dataUsePolicy"
                                   [withTooltip]="false"
      ></dlcm-shared-data-use-policy>
      <span class="label">{{labelTranslateEnum.contractOnTheUseOfData | translate}}</span>
      <div class="dua-value-wrapper">
        <div class="dua-type">{{enumUtil.getLabel(dataUsePolicyEnumTranslate, archive.dataUsePolicy) | translate}}</div>
        <div *ngIf="(duaDataFile | isNotNullNorUndefined)"
             class="dua-file"
        >
          <button [matTooltip]="labelTranslateEnum.showPreview | translate"
                  [disabled]="canPreviewDua | isFalse"
                  class="preview-dua-file-button"
                  color="primary"
                  mat-icon-button
                  type="button"
                  (click)="previewDuaFile()"
          >
            <solidify-icon [iconName]="iconNameEnum.preview"
                           class="icon size-20"
            ></solidify-icon>
          </button>
          <button [matTooltip]="labelTranslateEnum.download | translate"
                  class="download-dua-file-button"
                  color="primary"
                  mat-icon-button
                  type="button"
                  (click)="downloadDuaFile()"
          >
            <solidify-icon [iconName]="iconNameEnum.download"
                           class="icon size-20"
            ></solidify-icon>
          </button>
        </div>
      </div>
    </div>
    <div class="contributor">
      <solidify-icon [iconName]="iconNameEnum.contributor"></solidify-icon>
      <div>
        <span class="label">{{labelTranslateEnum.contributors | translate}}</span>
        <ul class="list-contributors">
          <li *ngFor="let contributor of archive.contributors"
              [solidifyOverlayData]="getContributorOverlayData(contributor)"
              [solidifyOverlayComponent]="$any(personOverlayComponent)"
              solidifyOverlay
          >
            <span class="name">
            {{contributor.creatorName}}
            </span>
            <solidify-button-orcid [orcid]="contributor.orcid"
                                   [isImageClickable]="true"
                                   class="image-orcid"
            ></solidify-button-orcid>
          </li>
        </ul>
      </div>
    </div>
    <div class="size">
      <solidify-icon [iconName]="archive.isCollection ? iconNameEnum.collection : iconNameEnum.foldersView"></solidify-icon>
      <div>
        <span class="label">
          {{(archive.isCollection ? labelTranslateEnum.collections : labelTranslateEnum.files) | translate}}
        </span>
        <div>
          <ng-template [ngIfElse]="notLinkOnFile"
                       [ngIf]="isContentStructurePublic || (archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
          >
            <a (click)="navigateToFilesList()"
               [solidifyDataTest]="dataTestEnum.homeArchiveDetailLinkFilesOrCollections"
               class="link"
            >{{archive.files}} {{labelTranslateEnum.files | translate}}
              ({{archive.sizeDisplay}})
            </a>
          </ng-template>
          <ng-template #notLinkOnFile>
            {{archive.files}} {{labelTranslateEnum.files | translate}}
            ({{archive.sizeDisplay}})
          </ng-template>
        </div>
        <div *ngIf="archive.withReadme"
             class="readme"
        >
          <div class="readme-label">{{labelTranslateEnum.readme | translate}}</div>
          <div *ngIf="(readmeDataFile | isNotNullNorUndefined)"
               class="readme-file"
          >
            <button [matTooltip]="labelTranslateEnum.showPreview | translate"
                    [disabled]="canPreviewReadme | isFalse"
                    class="preview-readme-file-button"
                    color="primary"
                    mat-icon-button
                    type="button"
                    (click)="previewReadmeFile()"
            >
              <solidify-icon [iconName]="iconNameEnum.preview"
                             class="icon size-20"
              ></solidify-icon>
            </button>
            <button [matTooltip]="labelTranslateEnum.download | translate"
                    class="download-readme-file-button"
                    color="primary"
                    mat-icon-button
                    type="button"
                    (click)="downloadReadmeFile()"
            >
              <solidify-icon [iconName]="iconNameEnum.download"
                             class="icon size-20"
              ></solidify-icon>
            </button>
          </div>
        </div>
      </div>
    </div>

    <div class="statistics">
      <div [matTooltipPosition]="'above'"
           [matTooltip]="labelTranslateEnum.viewNumber | translate"
           class="view-number"
      >
        <solidify-icon [iconName]="iconNameEnum.viewNumber"
                       class="icon"
        ></solidify-icon>
        <span class="text">{{archiveStatistics?.statistics.viewNumber}}</span>
      </div>
      <div [matTooltipPosition]="'above'"
           [matTooltip]="labelTranslateEnum.downloadNumber | translate"
           class="download-number"
      >
        <solidify-icon [iconName]="iconNameEnum.downloadNumber"
                       class="icon"
        ></solidify-icon>
        <span class="text">{{archiveStatistics?.statistics.downloadNumber}}</span>
      </div>

      <dlcm-home-archive-rating *ngIf="archiveStatistics && archive.resId"
                                class="rating"
                                [archiveId]="archive.resId"
                                [archiveStatistics]="archiveStatistics"
                                [listArchiveUserRating]="listArchiveUserRating"
                                [isLoggedIn]="isLoggedIn"
                                [isLoading]="isLoadingArchiveRating"
                                (rateChange)="updateRate($event)"
      ></dlcm-home-archive-rating>
    </div>
    <div class="button-wrapper">
      <div [matTooltip]="archiveAccessRightService.getTooltipDownload(archive, !(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)) |
      translate"
      >
        <dlcm-home-download-archive-button *ngIf="isLoggedIn || (archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                                           [archive]="archive"
                                           [disabled]="!(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                                           [solidifyButtonSpinner]="isLoadingPrepareDownload"
                                           [solidifyDataTest]="dataTestEnum.homeArchiveDetailDownloadButton"
                                           [matTooltip]="archiveAccessRightService.getTooltipDownload(archive, !(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)) |
      translate"
                                           [matTooltipDisabled]="!(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                                           (downloadChange)="download(archive, $event)"
        >
        </dlcm-home-download-archive-button>
      </div>

      <button (click)="addToCart(archive)"
              (onEnter)="addToCart(archive)"
              *ngIf="isLoggedIn"
              [matTooltip]="labelTranslateEnum.addToDownloadOrder | translate"
              color="primary"
              mat-flat-button
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.addToCart"></solidify-icon>
        {{labelTranslateEnum.add | translate}}
      </button>

      <button *ngIf="(archive | isNotNullNorUndefined) && (disableAccessRequest | isFalse) && !(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
              (click)="askAccess(archive)"
              (onEnter)="askAccess(archive)"
              [solidifyDataTest]="dataTestEnum.homeArchiveDetailRequestAccessButton"
              color="primary"
              mat-flat-button
              solidifyShortCuts
              dlcmPendingAccessRequestButton
              [dlcmPendingAccessRequestButtonType]="'archive'"
              [dlcmPendingAccessRequestButtonResourceId]="archive.resId"
      >
        <solidify-icon [iconName]="iconNameEnum.sendRequest"></solidify-icon>
        {{labelTranslateEnum.requestAccess | translate}}
      </button>

      <button *ngIf="displaySendToOrcid"
              (click)="sendToOrcid(archive)"
              (onEnter)="sendToOrcid(archive)"
              color="primary"
              mat-button
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.uploadFile"></solidify-icon>
        {{labelTranslateEnum.sendToOrcid | translate}}
      </button>


    </div>

  </div>

</ng-template>

<solidify-panel-expandable [isOpen]="false"
                           [titleToTranslate]="labelTranslateEnum.metadataDatacite | translate"
>
  <pre class="pre">
  <code *ngIf="ssrUtil.isBrowser"
        [highlight]="getMetadataDatacite()"
        [language]="'xml'"
        class="code"
  ></code>
  </pre>
</solidify-panel-expandable>

<solidify-panel-expandable *ngIf="(archivePackages | isNotNullNorUndefined) && (archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                           [isOpen]="false"
                           [titleToTranslate]="labelTranslateEnum.packagesInformation | translate"
>
  <ul class="packages-container">
    <dl>
      <dt class="label">{{labelTranslateEnum.metadataVersion | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getMetadataVersion(archivePackages)}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.disposalApproval | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getDisposalApproval(archivePackages) | translate}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.retentionExpiration | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getRetentionExpiration(archivePackages) | datetime}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.created | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getCreationDate(archivePackages) | datetime}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.deposit | translate}}</dt>
      <dd (click)="copyToClipboard(archivePackages.metadata.packages.deposits.id)"
          [matTooltip]="labelTranslateEnum.copyIdToClipboard | translate"
          class="value copy"
          solidifyTooltipOnEllipsis
      >{{archivePackages.metadata.packages.deposits.name}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.depositCreation | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getDepositCreationDate(archivePackages) | datetime}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.depositApprobation | translate}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{getDepositApprobationDate(archivePackages) | datetime}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.sip | translate}}</dt>
      <dd (click)="copyToClipboard(archivePackages.metadata.packages.sip.id)"
          [matTooltip]="labelTranslateEnum.copyIdToClipboard | translate"
          class="value copy"
          solidifyTooltipOnEllipsis
      >{{archivePackages.metadata.packages.sip.name}}
      </dd>
    </dl>
    <dl>
      <dt class="label">{{labelTranslateEnum.aip | translate}}</dt>
      <dd (click)="copyToClipboard(archivePackages.metadata.packages.aip.id)"
          [matTooltip]="labelTranslateEnum.copyIdToClipboard | translate"
          class="value copy"
          solidifyTooltipOnEllipsis
      >{{archivePackages.metadata.packages.aip.name}}
      </dd>
    </dl>
    <dl *ngFor="let agent of archivePackages.metadata.agents; let i = index">
      <dt class="label">{{labelTranslateEnum.agent | translate}} {{i + 1}}</dt>
      <dd class="value"
          solidifyTooltipOnEllipsis
      >{{agent.name}} | {{agent.type}} | {{agent.version}}
      </dd>
    </dl>
  </ul>
</solidify-panel-expandable>

<solidify-panel-expandable *ngIf="relativeArchive | isNonEmptyArray"
                           [isOpen]="true"
                           [titleToTranslate]="labelTranslateEnum.similarArchive | translate"
>
  <div *ngIf="viewModeList === viewModeListEnum.tiles"
       class="tiles-container"
  >
    @for (archive of relativeArchive.slice(0, 4); track archive) {
      <!--      <a [routerLink]="'/' + showDetailNavigate(archive)"-->
          <!--         class="button-link"-->
          <!--      >-->
      <dlcm-shared-archive-tile (addToCartChange)="addToCart($event)"
                                (downloadChange)="download($event)"
                                (requestAccessChange)="askAccess($event)"
                                (selectChange)="showDetail($event)"
                                [archive]="archive"
                                [isAccessControlled]="!(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                                mode="home-tiles"
      ></dlcm-shared-archive-tile>
      <!--      </a>-->
    }
  </div>
</solidify-panel-expandable>
